Assure secure communication on discourse.wmflabs.org https:// SSL
Closed, ResolvedPublic

Description

The discourse pilot on http://discourse.wmflabs.org/ is not automatically redirected to https://discourse.wmflabs.org/ which allows unsecure communication. To assure secure communication an automatic redirect is necessary.

AdHuikeshoven updated the task description. (Show Details)
AdHuikeshoven raised the priority of this task from to Needs Triage.
AdHuikeshoven added a project: VPS-Projects.

There's automatic SSL for things using labs proxies - the latter URL works for me?

There's automatic SSL for things using labs proxies - the latter URL works for me?

Yes, you are right. https://discourse.wmflabs.org/ . I will update links!

However when a user goes to http://en.wikipedia.org/ she gets automatically redirected to https://en.wikipedia.org/ - I will rewrite the task description

AdHuikeshoven renamed this task from Secure communication on discourse.wmflabs.org https:// SSL to Assure secure communication on discourse.wmflabs.org https:// SSL.Jan 26 2016, 10:16 PM
AdHuikeshoven updated the task description. (Show Details)
AdHuikeshoven set Security to None.
Tgr added a subscriber: Tgr.Jan 28 2016, 5:51 PM
EBernhardson closed this task as Resolved.Feb 3 2016, 5:16 AM
EBernhardson claimed this task.
EBernhardson added a subscriber: EBernhardson.

Applied changes suggested at https://wiki.mozilla.org/Community_Ops/Discourse/Setup#Edit_web.template.yml_.28Only_for_SSL_Sites.29 and now it's https only. This change feels like a bit of a hack, but it works well enough for our needs.